CREATE TABLE cmp_cwb_assignment_segments (
    ASG_SEGMENT_ID             NUMBER(18, 0),
    EXTERNAL_WORKER_DATA_ID    NUMBER(18, 0)    NOT NULL,
    PLAN_ID                    NUMBER(18, 0)    NOT NULL,
    PERIOD_ID                  NUMBER(18, 0)    NOT NULL,
    COMPONENT_ID               NUMBER(18, 0)    NOT NULL,
    PERSON_ID                  NUMBER(18, 0)    NOT NULL,
    ASSIGNMENT_ID              NUMBER(18, 0)    NOT NULL,
    PERSON_EVENT_ID            NUMBER(18, 0)    NOT NULL,
    WORKER_NUMBER              VARCHAR2(120),
    PERSON_NUMBER              VARCHAR2(120),
    ASSIGNMENT_NUMBER          VARCHAR2(200),
    JOB_ID                     NUMBER(18, 0),
    ELIG_FLAG                  VARCHAR2(4)  ,
    INELIG_REASON_CODE         VARCHAR2(120),
    LEGAL_ENTITY_ID            NUMBER(18, 0),
    BUSINESS_GROUP_ID          NUMBER(18, 0)    NOT NULL,
    RECORD_TYPE_CD             VARCHAR2(120)    NOT NULL,
    START_DATE                 DATE             NOT NULL,
    END_DATE                   DATE         ,
    SEQUENCE_NUMBER            NUMBER       ,
    CURRENCY_CD                VARCHAR2(120),
    NUMBER_VALUE1              NUMBER       ,
    NUMBER_VALUE2              NUMBER       ,
    NUMBER_VALUE3              NUMBER       ,
    NUMBER_VALUE4              NUMBER       ,
    NUMBER_VALUE5              NUMBER       ,
    NUMBER_VALUE6              NUMBER       ,
    NUMBER_VALUE7              NUMBER       ,
    NUMBER_VALUE8              NUMBER       ,
    NUMBER_VALUE9              NUMBER       ,
    NUMBER_VALUE10             NUMBER       ,
    NUMBER_VALUE11             NUMBER       ,
    NUMBER_VALUE12             NUMBER       ,
    NUMBER_VALUE13             NUMBER       ,
    NUMBER_VALUE14             NUMBER       ,
    NUMBER_VALUE15             NUMBER       ,
    NUMBER_VALUE16             NUMBER       ,
    NUMBER_VALUE17             NUMBER       ,
    NUMBER_VALUE18             NUMBER       ,
    NUMBER_VALUE19             NUMBER       ,
    NUMBER_VALUE20             NUMBER       ,
    NUMBER_VALUE21             NUMBER       ,
    NUMBER_VALUE22             NUMBER       ,
    NUMBER_VALUE23             NUMBER       ,
    NUMBER_VALUE24             NUMBER       ,
    NUMBER_VALUE25             NUMBER       ,
    NUMBER_VALUE26             NUMBER       ,
    NUMBER_VALUE27             NUMBER       ,
    NUMBER_VALUE28             NUMBER       ,
    NUMBER_VALUE29             NUMBER       ,
    NUMBER_VALUE30             NUMBER       ,
    NUMBER_VALUE31             NUMBER       ,
    NUMBER_VALUE32             NUMBER       ,
    NUMBER_VALUE33             NUMBER       ,
    NUMBER_VALUE34             NUMBER       ,
    NUMBER_VALUE35             NUMBER       ,
    NUMBER_VALUE36             NUMBER       ,
    NUMBER_VALUE37             NUMBER       ,
    NUMBER_VALUE38             NUMBER       ,
    NUMBER_VALUE39             NUMBER       ,
    NUMBER_VALUE40             NUMBER       ,
    NUMBER_VALUE41             NUMBER       ,
    NUMBER_VALUE42             NUMBER       ,
    NUMBER_VALUE43             NUMBER       ,
    NUMBER_VALUE44             NUMBER       ,
    NUMBER_VALUE45             NUMBER       ,
    NUMBER_VALUE46             NUMBER       ,
    NUMBER_VALUE47             NUMBER       ,
    NUMBER_VALUE48             NUMBER       ,
    NUMBER_VALUE49             NUMBER       ,
    NUMBER_VALUE50             NUMBER       ,
    TEXT_VALUE1                VARCHAR2(600),
    TEXT_VALUE2                VARCHAR2(600),
    TEXT_VALUE3                VARCHAR2(600),
    TEXT_VALUE4                VARCHAR2(600),
    TEXT_VALUE5                VARCHAR2(600),
    TEXT_VALUE6                VARCHAR2(600),
    TEXT_VALUE7                VARCHAR2(600),
    TEXT_VALUE8                VARCHAR2(600),
    TEXT_VALUE9                VARCHAR2(600),
    TEXT_VALUE10               VARCHAR2(600),
    DATE_VALUE1                DATE         ,
    DATE_VALUE2                DATE         ,
    DATE_VALUE3                DATE         ,
    DATE_VALUE4                DATE         ,
    DATE_VALUE5                DATE         ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    ASG_SEGMENT_ID             NUMBER(18, 0),
    EXTERNAL_WORKER_DATA_ID    NUMBER(18, 0)    NOT NULL,
    PLAN_ID                    NUMBER(18, 0)    NOT NULL,
    PERIOD_ID                  NUMBER(18, 0)    NOT NULL,
    COMPONENT_ID               NUMBER(18, 0)    NOT NULL,
    PERSON_ID                  NUMBER(18, 0)    NOT NULL,
    ASSIGNMENT_ID              NUMBER(18, 0)    NOT NULL,
    PERSON_EVENT_ID            NUMBER(18, 0)    NOT NULL,
    WORKER_NUMBER              VARCHAR2(120),
    PERSON_NUMBER              VARCHAR2(120),
    ASSIGNMENT_NUMBER          VARCHAR2(200),
    JOB_ID                     NUMBER(18, 0),
    ELIG_FLAG                  VARCHAR2(4)  ,
    INELIG_REASON_CODE         VARCHAR2(120),
    LEGAL_ENTITY_ID            NUMBER(18, 0),
    BUSINESS_GROUP_ID          NUMBER(18, 0)    NOT NULL,
    RECORD_TYPE_CD             VARCHAR2(120)    NOT NULL,
    START_DATE                 DATE             NOT NULL,
    END_DATE                   DATE         ,
    SEQUENCE_NUMBER            NUMBER       ,
    CURRENCY_CD                VARCHAR2(120),
    NUMBER_VALUE1              NUMBER       ,
    NUMBER_VALUE2              NUMBER       ,
    NUMBER_VALUE3              NUMBER       ,
    NUMBER_VALUE4              NUMBER       ,
    NUMBER_VALUE5              NUMBER       ,
    NUMBER_VALUE6              NUMBER       ,
    NUMBER_VALUE7              NUMBER       ,
    NUMBER_VALUE8              NUMBER       ,
    NUMBER_VALUE9              NUMBER       ,
    NUMBER_VALUE10             NUMBER       ,
    NUMBER_VALUE11             NUMBER       ,
    NUMBER_VALUE12             NUMBER       ,
    NUMBER_VALUE13             NUMBER       ,
    NUMBER_VALUE14             NUMBER       ,
    NUMBER_VALUE15             NUMBER       ,
    NUMBER_VALUE16             NUMBER       ,
    NUMBER_VALUE17             NUMBER       ,
    NUMBER_VALUE18             NUMBER       ,
    NUMBER_VALUE19             NUMBER       ,
    NUMBER_VALUE20             NUMBER       ,
    NUMBER_VALUE21             NUMBER       ,
    NUMBER_VALUE22             NUMBER       ,
    NUMBER_VALUE23             NUMBER       ,
    NUMBER_VALUE24             NUMBER       ,
    NUMBER_VALUE25             NUMBER       ,
    NUMBER_VALUE26             NUMBER       ,
    NUMBER_VALUE27             NUMBER       ,
    NUMBER_VALUE28             NUMBER       ,
    NUMBER_VALUE29             NUMBER       ,
    NUMBER_VALUE30             NUMBER       ,
    NUMBER_VALUE31             NUMBER       ,
    NUMBER_VALUE32             NUMBER       ,
    NUMBER_VALUE33             NUMBER       ,
    NUMBER_VALUE34             NUMBER       ,
    NUMBER_VALUE35             NUMBER       ,
    NUMBER_VALUE36             NUMBER       ,
    NUMBER_VALUE37             NUMBER       ,
    NUMBER_VALUE38             NUMBER       ,
    NUMBER_VALUE39             NUMBER       ,
    NUMBER_VALUE40             NUMBER       ,
    NUMBER_VALUE41             NUMBER       ,
    NUMBER_VALUE42             NUMBER       ,
    NUMBER_VALUE43             NUMBER       ,
    NUMBER_VALUE44             NUMBER       ,
    NUMBER_VALUE45             NUMBER       ,
    NUMBER_VALUE46             NUMBER       ,
    NUMBER_VALUE47             NUMBER       ,
    NUMBER_VALUE48             NUMBER       ,
    NUMBER_VALUE49             NUMBER       ,
    NUMBER_VALUE50             NUMBER       ,
    TEXT_VALUE1                VARCHAR2(600),
    TEXT_VALUE2                VARCHAR2(600),
    TEXT_VALUE3                VARCHAR2(600),
    TEXT_VALUE4                VARCHAR2(600),
    TEXT_VALUE5                VARCHAR2(600),
    TEXT_VALUE6                VARCHAR2(600),
    TEXT_VALUE7                VARCHAR2(600),
    TEXT_VALUE8                VARCHAR2(600),
    TEXT_VALUE9                VARCHAR2(600),
    TEXT_VALUE10               VARCHAR2(600),
    DATE_VALUE1                DATE         ,
    DATE_VALUE2                DATE         ,
    DATE_VALUE3                DATE         ,
    DATE_VALUE4                DATE         ,
    DATE_VALUE5                DATE         ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    CONSTRAINT pk_cmp_cwb_assignment_segments PRIMARY KEY (ASG_SEGMENT_ID, ASG_SEGMENT_ID)
);
